> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crunchz.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Group Participants

> Retrieve a list of all participants in a specific WhatsApp group using the group ID.



## OpenAPI

````yaml GET /groups/participants
openapi: 3.1.0
info:
  title: CrunchzApp API Docs
  version: 1.0.0
  description: >-
    Comprehensive WhatsApp API for seamless messaging integration, automation,
    and customer communication in your applications.
servers:
  - url: https://api.crunchz.app/api
security:
  - http: []
paths:
  /groups/participants:
    get:
      tags:
        - Groups
      description: >-
        Retrieve a list of all participants in a specific WhatsApp group using
        the group ID.
      operationId: groups.getParticipants
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GroupParticipantRequest'
      responses:
        '200':
          description: '`GroupInvitationCodeResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupInvitationCodeResource'
        '400':
          $ref: '#/components/responses/BadRequestException'
        '401':
          $ref: '#/components/responses/UnauthorizedException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
        '500':
          $ref: '#/components/responses/InternalServerErrorException'
components:
  schemas:
    GroupParticipantRequest:
      type: object
      properties:
        group_id:
          type: string
          description: The Group ID
          example: xxx@g.us
      required:
        - group_id
      title: GroupParticipantRequest
    GroupInvitationCodeResource:
      type: object
      properties:
        success:
          type: boolean
          description: The success status of response.
        message:
          type: string
          description: The message of response.
        data:
          type: object
          properties:
            code:
              type: string
              description: The invitation code for the group.
              example: KHFAM4UWGUE7g75K1o7BFw
            url:
              type: string
              format: uri
              description: The WhatsApp group invitation URL.
              example: https://chat.whatsapp.com/KHFAM4UWGUE7g75K1o7BFw
          required:
            - code
            - url
      required:
        - success
        - message
        - data
      title: GroupInvitationCodeResource
  responses:
    BadRequestException:
      description: Bad request error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    UnauthorizedException:
      description: Unauthorized error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
    InternalServerErrorException:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````